Package com.sap.ai.sdk.core.model

# Class RTADeployment

java.lang.Object
com.sap.ai.sdk.core.model.RTADeployment

public class RTADeployment extends Object
Detailed data about an inference-pipeline deployment

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `RTADeployment.Builder`
  Builder helper class.
  `static interface`
  `RTADeployment.Builder1`
  Builder helper class.
  `static interface`
  `RTADeployment.Builder2`
  Builder helper class.
  `static interface`
  `RTADeployment.Builder3`
  Builder helper class.
  `static enum`
  `RTADeployment.LastOperationEnum`
  Reflection of user's action on deployment.
  `static enum`
  `RTADeployment.StatusEnum`
  Deployment status

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RTADeployment()`
  Default constructor for RTADeployment.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTADeployment.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `RTADeployment` instance with all required arguments.
  `RTADeployment`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `RTADeployment` instance and return the same instance.
  `RTADeployment`
  `deploymentUrl(String deploymentUrl)`
  Set the deploymentUrl of this `RTADeployment` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `RTADeployment`
  `executableId(String executableId)`
  Set the executableId of this `RTADeployment` instance and return the same instance.
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RTADeployment`.
  `String`
  `getDeploymentUrl()`
  Consumption URL of the pipeline deployment
  `String`
  `getExecutableId()`
  ID of the executable
  `String`
  `getId()`
  ID of the deployment
  `RTADeployment.LastOperationEnum`
  `getLastOperation()`
  Reflection of user's action on deployment.
  `String`
  `getLatestRunningTargetId()`
  Target ID of the latest running deployment
  `OffsetDateTime`
  `getModifiedAt()`
  Timestamp of latest resource modification
  `String`
  `getScenarioId()`
  ID of the scenario
  `RTADeployment.StatusEnum`
  `getStatus()`
  Deployment status
  `String`
  `getStatusMessage()`
  Deployment status message
  `String`
  `getTargetId()`
  Client provided reference, with which the status of a PATCHed deployment can be tracked
  `String`
  `getTtl()`
  TTL value of deployment
  `int`
  `hashCode()`
  `RTADeployment`
  `id(String id)`
  Set the id of this `RTADeployment` instance and return the same instance.
  `RTADeployment`
  `lastOperation(RTADeployment.LastOperationEnum lastOperation)`
  Set the lastOperation of this `RTADeployment` instance and return the same instance.
  `RTADeployment`
  `latestRunningTargetId(String latestRunningTargetId)`
  Set the latestRunningTargetId of this `RTADeployment` instance and return the same instance.
  `RTADeployment`
  `modifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `RTADeployment` instance and return the same instance.
  `RTADeployment`
  `scenarioId(String scenarioId)`
  Set the scenarioId of this `RTADeployment` instance and return the same instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `RTADeployment` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RTADeployment` instance.
  `void`
  `setDeploymentUrl(String deploymentUrl)`
  Set the deploymentUrl of this `RTADeployment` instance.
  `void`
  `setExecutableId(String executableId)`
  Set the executableId of this `RTADeployment` instance.
  `void`
  `setId(String id)`
  Set the id of this `RTADeployment` instance.
  `void`
  `setLastOperation(RTADeployment.LastOperationEnum lastOperation)`
  Set the lastOperation of this `RTADeployment` instance.
  `void`
  `setLatestRunningTargetId(String latestRunningTargetId)`
  Set the latestRunningTargetId of this `RTADeployment` instance.
  `void`
  `setModifiedAt(OffsetDateTime modifiedAt)`
  Set the modifiedAt of this `RTADeployment` instance.
  `void`
  `setScenarioId(String scenarioId)`
  Set the scenarioId of this `RTADeployment` instance.
  `void`
  `setStatus(RTADeployment.StatusEnum status)`
  Set the status of this `RTADeployment` instance.
  `void`
  `setStatusMessage(String statusMessage)`
  Set the statusMessage of this `RTADeployment` instance.
  `void`
  `setTargetId(String targetId)`
  Set the targetId of this `RTADeployment` instance.
  `void`
  `setTtl(String ttl)`
  Set the ttl of this `RTADeployment` instance.
  `RTADeployment`
  `status(RTADeployment.StatusEnum status)`
  Set the status of this `RTADeployment` instance and return the same instance.
  `RTADeployment`
  `statusMessage(String statusMessage)`
  Set the statusMessage of this `RTADeployment` instance and return the same instance.
  `RTADeployment`
  `targetId(String targetId)`
  Set the targetId of this `RTADeployment` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RTADeployment` instance including unrecognized properties.
  `String`
  `toString()`
  `RTADeployment`
  `ttl(String ttl)`
  Set the ttl of this `RTADeployment` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RTADeployment

    protected RTADeployment()
    Default constructor for RTADeployment.

- ## Method Details

  - ### scenarioId

    @Nonnull public RTADeployment scenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `RTADeployment` instance and return the same instance.
    Parameters:
      `scenarioId` - ID of the scenario
    Returns:
      The same instance of this `RTADeployment` class

  - ### getScenarioId

    @Nonnull public String getScenarioId()
    ID of the scenario
    Returns:
      scenarioId The scenarioId of this `RTADeployment` instance.

  - ### setScenarioId

    public void setScenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `RTADeployment` instance.
    Parameters:
      `scenarioId` - ID of the scenario

  - ### executableId

    @Nonnull public RTADeployment executableId(@Nonnull String executableId)
    Set the executableId of this `RTADeployment` instance and return the same instance.
    Parameters:
      `executableId` - ID of the executable
    Returns:
      The same instance of this `RTADeployment` class

  - ### getExecutableId

    @Nonnull public String getExecutableId()
    ID of the executable
    Returns:
      executableId The executableId of this `RTADeployment` instance.

  - ### setExecutableId

    public void setExecutableId(@Nonnull String executableId)
    Set the executableId of this `RTADeployment` instance.
    Parameters:
      `executableId` - ID of the executable

  - ### id

    @Nonnull public RTADeployment id(@Nullable String id)
    Set the id of this `RTADeployment` instance and return the same instance.
    Parameters:
      `id` - ID of the deployment
    Returns:
      The same instance of this `RTADeployment` class

  - ### getId

    @Nonnull public String getId()
    ID of the deployment
    Returns:
      id The id of this `RTADeployment` instance.

  - ### setId

    public void setId(@Nullable String id)
    Set the id of this `RTADeployment` instance.
    Parameters:
      `id` - ID of the deployment

  - ### deploymentUrl

    @Nonnull public RTADeployment deploymentUrl(@Nullable String deploymentUrl)
    Set the deploymentUrl of this `RTADeployment` instance and return the same instance.
    Parameters:
      `deploymentUrl` - Consumption URL of the pipeline deployment
    Returns:
      The same instance of this `RTADeployment` class

  - ### getDeploymentUrl

    @Nonnull public String getDeploymentUrl()
    Consumption URL of the pipeline deployment
    Returns:
      deploymentUrl The deploymentUrl of this `RTADeployment` instance.

  - ### setDeploymentUrl

    public void setDeploymentUrl(@Nullable String deploymentUrl)
    Set the deploymentUrl of this `RTADeployment` instance.
    Parameters:
      `deploymentUrl` - Consumption URL of the pipeline deployment

  - ### latestRunningTargetId

    @Nonnull public RTADeployment latestRunningTargetId(@Nullable String latestRunningTargetId)
    Set the latestRunningTargetId of this `RTADeployment` instance and return the same instance.
    Parameters:
      `latestRunningTargetId` - Target ID of the latest running deployment
    Returns:
      The same instance of this `RTADeployment` class

  - ### getLatestRunningTargetId

    @Nonnull public String getLatestRunningTargetId()
    Target ID of the latest running deployment
    Returns:
      latestRunningTargetId The latestRunningTargetId of this `RTADeployment` instance.

  - ### setLatestRunningTargetId

    public void setLatestRunningTargetId(@Nullable String latestRunningTargetId)
    Set the latestRunningTargetId of this `RTADeployment` instance.
    Parameters:
      `latestRunningTargetId` - Target ID of the latest running deployment

  - ### targetId

    @Nonnull public RTADeployment targetId(@Nullable String targetId)
    Set the targetId of this `RTADeployment` instance and return the same instance.
    Parameters:
      `targetId` - Client provided reference, with which the status of a PATCHed deployment can be tracked
    Returns:
      The same instance of this `RTADeployment` class

  - ### getTargetId

    @Nonnull public String getTargetId()
    Client provided reference, with which the status of a PATCHed deployment can be tracked
    Returns:
      targetId The targetId of this `RTADeployment` instance.

  - ### setTargetId

    public void setTargetId(@Nullable String targetId)
    Set the targetId of this `RTADeployment` instance.
    Parameters:
      `targetId` - Client provided reference, with which the status of a PATCHed deployment can be tracked

  - ### ttl

    @Nonnull public RTADeployment ttl(@Nullable String ttl)
    Set the ttl of this `RTADeployment` instance and return the same instance.
    Parameters:
      `ttl` - TTL value of deployment
    Returns:
      The same instance of this `RTADeployment` class

  - ### getTtl

    @Nonnull public String getTtl()
    TTL value of deployment
    Returns:
      ttl The ttl of this `RTADeployment` instance.

  - ### setTtl

    public void setTtl(@Nullable String ttl)
    Set the ttl of this `RTADeployment` instance.
    Parameters:
      `ttl` - TTL value of deployment

  - ### status

    @Nonnull public RTADeployment status(@Nullable RTADeployment.StatusEnum status)
    Set the status of this `RTADeployment` instance and return the same instance.
    Parameters:
      `status` - Deployment status
    Returns:
      The same instance of this `RTADeployment` class

  - ### getStatus

    @Nonnull public RTADeployment.StatusEnum getStatus()
    Deployment status
    Returns:
      status The status of this `RTADeployment` instance.

  - ### setStatus

    public void setStatus(@Nullable RTADeployment.StatusEnum status)
    Set the status of this `RTADeployment` instance.
    Parameters:
      `status` - Deployment status

  - ### statusMessage

    @Nonnull public RTADeployment statusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `RTADeployment` instance and return the same instance.
    Parameters:
      `statusMessage` - Deployment status message
    Returns:
      The same instance of this `RTADeployment` class

  - ### getStatusMessage

    @Nonnull public String getStatusMessage()
    Deployment status message
    Returns:
      statusMessage The statusMessage of this `RTADeployment` instance.

  - ### setStatusMessage

    public void setStatusMessage(@Nullable String statusMessage)
    Set the statusMessage of this `RTADeployment` instance.
    Parameters:
      `statusMessage` - Deployment status message

  - ### lastOperation

    @Nonnull public RTADeployment lastOperation(@Nullable RTADeployment.LastOperationEnum lastOperation)
    Set the lastOperation of this `RTADeployment` instance and return the same instance.
    Parameters:
      `lastOperation` - Reflection of user's action on deployment. The value will be CREATE after user sends POST - create deployment, UPDATE after user sends PATCH - update deployment, and DELETE after user sends DELETE - delete deployment
    Returns:
      The same instance of this `RTADeployment` class

  - ### getLastOperation

    @Nonnull public RTADeployment.LastOperationEnum getLastOperation()
    Reflection of user's action on deployment. The value will be CREATE after user sends POST - create deployment, UPDATE after user sends PATCH - update deployment, and DELETE after user sends DELETE - delete deployment
    Returns:
      lastOperation The lastOperation of this `RTADeployment` instance.

  - ### setLastOperation

    public void setLastOperation(@Nullable RTADeployment.LastOperationEnum lastOperation)
    Set the lastOperation of this `RTADeployment` instance.
    Parameters:
      `lastOperation` - Reflection of user's action on deployment. The value will be CREATE after user sends POST - create deployment, UPDATE after user sends PATCH - update deployment, and DELETE after user sends DELETE - delete deployment

  - ### createdAt

    @Nonnull public RTADeployment createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `RTADeployment` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource creation
    Returns:
      The same instance of this `RTADeployment` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource creation
    Returns:
      createdAt The createdAt of this `RTADeployment` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `RTADeployment` instance.
    Parameters:
      `createdAt` - Timestamp of resource creation

  - ### modifiedAt

    @Nonnull public RTADeployment modifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `RTADeployment` instance and return the same instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification
    Returns:
      The same instance of this `RTADeployment` class

  - ### getModifiedAt

    @Nonnull public OffsetDateTime getModifiedAt()
    Timestamp of latest resource modification
    Returns:
      modifiedAt The modifiedAt of this `RTADeployment` instance.

  - ### setModifiedAt

    public void setModifiedAt(@Nonnull OffsetDateTime modifiedAt)
    Set the modifiedAt of this `RTADeployment` instance.
    Parameters:
      `modifiedAt` - Timestamp of latest resource modification

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RTADeployment`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RTADeployment` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RTADeployment` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RTADeployment` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RTADeployment.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `RTADeployment` instance with all required arguments.